## Parameters

`module Tree : Tree with type V.label = DGraphModel.DotG.V.t and type E.label = unit`

## Signature

`include S with module Tree = Tree`
`module Tree = Tree`
`type t`
`val get_structure : t -> Tree.t`
`val get_root : t -> Tree.V.t`
`val get_tree_vertices : Tree.V.label -> t -> Tree.V.t list`
`val is_ghost_node : Tree.V.t -> t -> bool`
`val is_ghost_edge : Tree.E.t -> t -> bool`
`exception Ghost_node`
`val get_graph_vertex : Tree.V.t -> t -> Tree.V.label`
`val make : (Tree.V.label, DGraphModel.DotG.E.t, string) DGraphModel.abstract_model -> Tree.V.label -> int -> int -> t`